// SPDX-License-Identifier: Unlicense
pragma solidity ^0.8.24;

import {ERC20} from "@openzeppelin/contracts/token/ERC20/ERC20.sol";

contract Reputation is ERC20("Reputation", "REP") {
    function decimals() public pure override returns (uint8) {
        return 9;
    }

    //function stake(address to, uint amount) public {}
    function transfer(address, uint256) public pure override returns (bool) {
        revert("REP transfer is not allowed");
    }

    function transferFrom(
        address,
        address,
        uint256
    ) public pure override returns (bool) {
        revert("REP transfer is not allowed");
    }
}

// TODO: try implementing as ERC721
